Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | Static Public Attributes | List of all members
IAttributes2 Class Referenceabstract

Extended access to Attributes; supports Attribute retrieval via iteration. More...

`#include <ipersistent.h>`

Inheritance diagram for IAttributes2:

## Public Member Functions
virtual int32 | countAttributes () const =0
| Returns the number of existing attributes.
virtual IAttrID | getAttributeID (int32 index) const =0
| Returns the attribute's ID for the given index.
Public Member Functions inherited from IAttributes
virtual tresult | set (IAttrID attrID, const FVariant &data)=0
| Store any data in the archive.
virtual tresult | queue (IAttrID listID, const FVariant &data)=0
| Store a list of data in the archive.
virtual tresult | setBinaryData (IAttrID attrID, void *data, uint32 bytes, bool copyBytes)=0
| Store binary data in the archive.
virtual tresult | get (IAttrID attrID, FVariant &data)=0
| Get data previously stored to the archive.
virtual tresult | unqueue (IAttrID listID, FVariant &data)=0
| Get list of data previously stored to the archive.
virtual int32 | getQueueItemCount (IAttrID)=0
| Get the amount of items in a queue.
virtual tresult | resetQueue (IAttrID attrID)=0
| Reset a queue.
virtual tresult | resetAllQueues ()=0
| Reset all queues in the archive.
virtual tresult | getBinaryData (IAttrID attrID, void *data, uint32 bytes)=0
| Read binary data from the archive.
virtual uint32 | getBinaryDataSize (IAttrID attrID)=0
| Get the size in bytes of binary data in the archive.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from IAttributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended access to Attributes; supports Attribute retrieval via iteration.

- [host imp]
- [released] C7/N6

## Member Function Documentation

virtual int32 countAttributes | ( |  | ) | const
| pure virtual

Returns the number of existing attributes.

virtual IAttrID getAttributeID | ( | int32 | index | ) | const
| pure virtual

Returns the attribute's ID for the given index.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.